SoGeoSeparator(3)

NAME
SoGeoSeparator - The SoGeoSeparator class is used to georeference a scene graph.

SYNOPSIS

#include <Inventor/nodes/SoGeoSeparator.h>

Inherits SoSeparator.

  Public Member Functions
virtual SoType getTypeId (void) const
SoGeoSeparator (void)
virtual void callback (SoCallbackAction *action)
virtual void GLRenderBelowPath (SoGLRenderAction *action)
virtual void GLRenderInPath (SoGLRenderAction *action)
virtual void getBoundingBox (SoGetBoundingBoxAction *action)
virtual void getMatrix (SoGetMatrixAction *action)
virtual void rayPick (SoRayPickAction *action)
virtual void getPrimitiveCount (SoGetPrimitiveCountAction *action)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)

  Public Attributes
SoSFVec3d geoCoords
SoMFString geoSystem

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoGeoSeparator (void)

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoGeoSeparator class is used to georeference a scene graph. FILE FORMAT/DEFAULTS:

GeoSeparator {
  geoSystem ["GD", "WE"]
  geoCoords 0 0 0
}

This node specifies an absolute geographic coordinate system for the children. When rendering (or applying other actions), Coin will add a transformation which transforms the geometry into the SoGeoOrigin coordinate system. All objects will be rotated to make the local Z-axis point up from the ground (at the specified geo-location), the Y-axis will point towards the north pole, and the X-axis is found using the right hand rule.

See also
    SoGeoOrigin

Since
    Coin 2.5

Constructor & Destructor Documentation

  SoGeoSeparator::SoGeoSeparator (void)
Constructor.

  SoGeoSeparator::~SoGeoSeparator (void) [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoGeoSeparator::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoGeoSeparator::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Reimplemented from SoSeparator.

  const SoFieldData ** SoGeoSeparator::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoGeoSeparator::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoSeparator.

  void SoGeoSeparator::initClass (void) [static]

  void SoGeoSeparator::callback (SoCallbackAction * action) [virtual]
Action method for SoCallbackAction.

Simply updates the state according to how the node behaves for the render action, so the application programmer can use the SoCallbackAction for extracting information about the scene graph.

Reimplemented from SoSeparator.

  void SoGeoSeparator::GLRenderBelowPath (SoGLRenderAction * action) [virtual]
SGI Open Inventor v2.1 obsoleted support for SoGLRenderAction::addMethod(). Instead, GLRender() might be called directly, and to optimize traversal, the SoSeparator node calls GLRenderBelowPath whenever the path code is BELOW_PATH or NO_PATH (path code is guaranteed not to change). To be compatible with SGI's Inventor (and thereby also TGS') we have chosen to follow their implementation in this respect.

SoSeparator::GLRenderBelowPath() does not traverse its children using SoChildList::traverse(), but calls GLRenderBelowPath() directly for all its children.

Reimplemented from SoSeparator.

  void SoGeoSeparator::GLRenderInPath (SoGLRenderAction * action) [virtual]
Implements the SoAction::IN_PATH traversal method for the rendering action.

Reimplemented from SoSeparator.

  void SoGeoSeparator::getBoundingBox (SoGetBoundingBoxAction * action) [virtual]
Action method for the SoGetBoundingBoxAction.

Calculates bounding box and center coordinates for node and modifies the values of the action to encompass the bounding box for this node and to shift the center point for the scene more towards the one for this node.

Nodes influencing how geometry nodes calculate their bounding box also override this method to change the relevant state variables.

Reimplemented from SoSeparator.

  void SoGeoSeparator::getMatrix (SoGetMatrixAction * action) [virtual]
Action method for SoGetMatrixAction.

Updates action by accumulating with the transformation matrix of this node (if any).

Reimplemented from SoSeparator.

  void SoGeoSeparator::rayPick (SoRayPickAction * action) [virtual]
Action method for SoRayPickAction.

Checks the ray specification of the action and tests for intersection with the data of the node.

Nodes influencing relevant state variables for how picking is done also override this method.

Reimplemented from SoSeparator.

  void SoGeoSeparator::getPrimitiveCount (SoGetPrimitiveCountAction * action) [virtual]
Action method for the SoGetPrimitiveCountAction.

Calculates the number of triangle, line segment and point primitives for the node and adds these to the counters of the action.

Nodes influencing how geometry nodes calculate their primitive count also override this method to change the relevant state variables.

Reimplemented from SoSeparator.

Member Data Documentation

  SoSFVec3d SoGeoSeparator::geoCoords
Used for specifying the geographic coordinates.

See also
    SoGeoOrigin::geoCoords

  SoMFString SoGeoSeparator::geoSystem
Used to specify a spatial reference frame.

See also
    SoGeoOrigin::geoSystem

Author

Generated automatically by Doxygen for Coin from the source code.